Results 1 to 4 of 4

Thread: Problem connecting to software source

  1. #1

    Default Problem connecting to software source

    Greetings.
    When my system attempts to update I receive an update error:

    There is a problem (possibly temporary) connecting to a software source. Please check the detailed error for further details.

    When I click on the detail, nothing pops up. When I navigate to the update notification box, it says "system is up to date". The last time I had this problem, it related to my repos, so I include the list below (but I haven't made any changes to them in a long time):

    Code:
    #  | Alias                               | Name                                    | Enabled |
     GPG Check | Refresh | Priority | Type   | URI                                                
                         | Service
    ---+-------------------------------------+-----------------------------------------+---------+
    -----------+---------+----------+--------+----------------------------------------------------
    ---------------------+--------
     1 | download.nvidia.com-leap            | nVidia Graphics Drivers                 | No      |
     ----      | Yes     |   99     | rpm-md | http://download.nvidia.com/opensuse/leap/42.1      
                         |         
     2 | ftp.gwdg.de-suse                    | Packman Repository                      | Yes     |
     (r ) Yes  | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_
    Leap_42.1/           |         
     3 | http-download.opensuse.org-0f698278 | KDE:KDE3                                | Yes     |
     (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/KDE3
    /openSUSE_Leap_42.1/ |         
     4 | repo-debug                          | openSUSE-Leap-42.1-Debug                | No      |
     ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/lea
    p/42.1/repo/oss/     |         
     5 | repo-debug-non-oss                  | openSUSE-Leap-42.1-Debug-Non-Oss        | No      |
     ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/lea
    p/42.1/repo/non-oss/ |         
     6 | repo-debug-update                   | openSUSE-Leap-42.1-Update-Debug         | No      |
     ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/leap/42.1
    /oss                 |         
     7 | repo-debug-update-non-oss           | openSUSE-Leap-42.1-Update-Debug-Non-Oss | No      |
     ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/leap/42.1
    /non-oss/            |         
     8 | repo-non-oss                        | openSUSE-Leap-42.1-Non-Oss              | No      |
     ----      | Yes     |   99     | NONE   | http://download.opensuse.org/distribution/leap/42.1
    /repo/non-oss/       |         
     9 | repo-oss                            | openSUSE-Leap-42.1-Oss                  | Yes     |
     (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1
    /repo/oss/           |         
    10 | repo-source                         | openSUSE-Leap-42.1-Source               | No      |
     ----      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/le
    ap/42.1/repo/oss/    |         
    11 | repo-update                         | openSUSE-Leap-42.1-Update               | Yes     |
     (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/oss/ 
                         |         
    12 | repo-update-non-oss                 | openSUSE-Leap-42.1-Update-Non-Oss       | Yes     |
     (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/non-o
    ss/                  |        
    
    
    Thanks

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    29,769

    Default Re: Problem connecting to software source

    You failed to explain which version of openSUSE you run (you choose OTHER VERSION from the list, that should trigger you to menition it first and foremost in your post), but from the repo list I detect it is Leap 42.1

    As you can see here: https://en.opensuse.org/Lifetime Leap 42.1 support ended May 17th 2017. So it is very much possible that the repos are going off-line bit by bit. In any case the Update repos will not have got any new versions since that date, thus you may very well be up-to-date when the date is taken into account.
    Henk van Velden

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,327
    Blog Entries
    15

    Default Re: Problem connecting to software source

    Hi
    Leap 42.1 is EOL, so the repositories no longer exist, see here;
    https://en.opensuse.org/Lifetime

    The repositories are available on a few mirrors containing the 'discontinued' release listed here;
    https://en.opensuse.org/openSUSE:Mirrors#EOL_mirrors

    Consider upgrading to a supported release openSUSE Leap 42.2 (a little bit longer) or the current release 42.3.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  4. #4

    Default Re: Problem connecting to software source

    Ok. Its time for me to install a newer version of LEAP. That explains it. Thanks.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •